Subject: Re: To whom do we contribute API header/
From: [email-masked] (Geoffrey Noer)

13 Jul 1998 15:33:50 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: Robin Crampton <[email-masked]>, [email-masked],
        [email-masked]

On Fri, Jul 10, 1998 at 11:05:58AM +0000, Robin Crampton wrote:
[...]
> How different do the cygwin32 Windows header files have to be from   
> Microsofts to not infringe copyright, or whatever?  Can we just strip out   
> all the comments and expand all the typedefs (well, obviously not all the   
> typedefs, just the simple ones such as DWORD) ?  Do we even need to do   
> that?  I imagine it's hard to enforce copyright on data structure   
> definitions and function prototypes.

To the best of my knowledge, all of our Win32 headers were generated
by looking at documentation and then adding equivalent definitions in
ours.  It is not ok to copy sections from Microsoft headers into ours.
I'll try to investigate this issue some more and send additional mail
if there's anything more to say...

> I've got my-mmsystem.h which I'll gladly donate, but at the moment it's   
> just Microsofts with my hacks.  

That's not going to work I'm afraid.

-- 
Geoffrey Noer
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".